Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class BeanValidationContextImpl

    java.lang.Object
      org.apache.tapestry5.internal.BeanValidationContextImpl

All Implemented Interfaces:
  BeanValidationContext

    public class BeanValidationContextImpl

extends java.lang.Object
implements BeanValidationContext

Constructor Summary
`BeanValidationContextImpl(java.lang.Object bean)`

Method Summary
`java.lang.Object` | `getBeanInstance()` Return the object to validate.
`java.lang.Class` | `getBeanType()` Returns the type of the object to validate.
`java.lang.String` | `getCurrentProperty()` Returns name of the property to validate.
`void` | `setCurrentProperty(java.lang.String propertyName)` Sets name of the property to validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanValidationContextImpl

    public BeanValidationContextImpl(java.lang.Object bean)

Method Detail

### getBeanType

    public java.lang.Class getBeanType()

  Description copied from interface: `BeanValidationContext`
  Returns the type of the object to validate. This method is needed for client side validation.

  Specified by:
    `getBeanType` in interface `BeanValidationContext`

### getBeanInstance

    public java.lang.Object getBeanInstance()

  Description copied from interface: `BeanValidationContext`
  Return the object to validate.

  Specified by:
    `getBeanInstance` in interface `BeanValidationContext`

### getCurrentProperty

    public java.lang.String getCurrentProperty()

  Description copied from interface: `BeanValidationContext`
  Returns name of the property to validate. The current name is overwritten by every form field.

  Specified by:
    `getCurrentProperty` in interface `BeanValidationContext`

### setCurrentProperty

    public void setCurrentProperty(java.lang.String propertyName)

  Description copied from interface: `BeanValidationContext`
  Sets name of the property to validate.

  Specified by:
    `setCurrentProperty` in interface `BeanValidationContext`
  Parameters:
    `propertyName` - name of the property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.